using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 枚举类别表。
    /// </summary>
    [Description("枚举类别")]
    [DataClassIndex(new string[] { "CODE", "ORG_ID" }, true)]
    public class T_FM_ENUM_TYPE : MesEntityBase
    {
        /// <summary>
        /// 枚举编码。
        /// </summary>
        [Description("类别编码")]
        [DataFieldLength(30)]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string CODE { get; set; }

        /// <summary>
        /// 名称。
        /// </summary>
        [Description("类别名称")]
        [DataFieldLength(30)]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string NAME { get; set; }

        /// <summary>
        /// 启用标志
        /// </summary>
        [Description("启用标志")]
        [FormFieldEdit]
        [EnumName("FMEnableStatusEnum")]
        public int ENABLE_STATUS { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        [FormFieldEdit]
        public string REMARK { get; set; }

        [Description("源ID")]
        public Guid? SRC_ID { get; set; }
    }
}
